*#########################
*#   MEFEL ELEMENTS      #
*#########################
*####### KONTROLA NEZADANYCH MATERIALU
*if(nmats==0)
*# warning if no material defined:
*tcl(ErrorMat)
*endif
*########## elements print:
*########## total number of elements
*########## added springs from b.c.
*Set var NUMSP=0
*set elems(all)
*Set Cond Point-Node_Spring *nodes
*Add Cond Line-Node_Spring *nodes
*Add Cond Surface-Node_Spring *nodes
*Add Cond Volume-Node_Spring *nodes
*loop nodes *OnlyInCond
*##########X-spring:
*if(strcmp(cond(X-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*##########Y-spring:
*if(strcmp(cond(Y-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*##########Z-spring:
*if(strcmp(cond(Z-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*##########XX-spring:
*if(strcmp(cond(XX-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*##########YY-spring:
*if(strcmp(cond(YY-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*##########ZZ-spring:
*if(strcmp(cond(ZZ-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*endif
*end nodes
*Set var TNELEM=Operation(NUMSP(int)+nelem(int))
*########## END added springs from b.c.
*########## add splited bar or beam elements
*if(strcmp(GenData(Split_quadratic_bar_elements),"YES")==0)
*set elems(Linear)
*loop elems
*Set var TSNELEM=Operation(TSNELEM(int)+1)
*end elems
*Set var TNELEM=Operation(TSNELEM(int)+TNELEM(int))
*endif
*########## END added splited bar or beam elements
*########## total number of elements
*TNELEM(int) #number of elements
*########## loops over elements types:
*########## element_number   element_type   element_connectivity  code_numbers=0  cross-section_type   cross-section_number   material_types  material_numbers
*########## Linear
*########## Linear
*set elems(Linear)
*loop elems
*loop materials
*if(ElemsMat(int)==MatNum(int))
*set var SSST = 0
*if(strcmp(Matprop(Strain-stress_state),"bar")==0)
*set var SSST = 1
*endif
*if(strcmp(Matprop(Strain-stress_state),"plbeam")==0)
*set var SSST = 2
*endif
*if(strcmp(Matprop(Strain-stress_state),"spacebeam")==0)
*set var SSST = 5
*endif
*set var ETYPE=1
*if(strcmp(Matprop(Advanced_elements_properties),"bar3d")==0)
*set var ETYPE=3
*endif
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=1
*endif
*if((SSST(int)==2))
*set var ETYPE=2
*endif
*if((SSST(int)==5))
*set var ETYPE=4
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=6
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=6
*endif
*endif
*if((SSST(int)==2))
*set var ETYPE=2
*endif
*if((SSST(int)==5))
*set var ETYPE=4
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*set var FNUM=Matprop(MEFEL_time_function_number,int)
*endif
*endif
*end
*if((IsQuadratic(int)!=1))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%4i"
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%4i%4i"
*endif
*endif
*if((IsQuadratic(int)==1))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%10i%4i"
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%10i%4i%4i"
*endif
*endif
*########## printing for splited bar or beam elements
*if(strcmp(GenData(Split_quadratic_bar_elements),"YES")==0)

*ElemsNum(int) *ETYPE(int) *ElemsConec(1) *ElemsConec(3) 0 *\
*endif
*########## END printing for splited bar or beam elements
*if(strcmp(GenData(Split_quadratic_bar_elements),"NO")==0)

*ElemsNum(int) *ETYPE(int) *ElemsConec 0 *\
*endif
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*FNUM(int) *\
*endif
*########## geometry type:
*if(strcmp(GenData(MEFEL_Cross-section_type),"ON_ELEMENTS")==0)
*if(strcmp(GenData(MEFEL_Geometry),"1D")==0)
*format "%4i%10i"
1 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"2D")==0)
*format "%4i%10i"
1 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"3D")==0)
*format "%4i%10i"
3 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*format "%4i"
0  *\
*endif
*endif
*if(strcmp(GenData(MEFEL_Cross-section_type),"AT_NODES")==0)
*format "%4i"
0  *\
*endif
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Linear
*########## END Linear
*########## Triangle
*########## Triangle
*set elems(Triangle)
*loop elems
*set var ETYPE=210
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=211	
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=500
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=501
*endif
*endif
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%4i%4i%4i"
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%4i%4i%4i"
*endif

*ElemsNum *ETYPE *ElemsConec 0 *CRSEC(int) *ElemsMat 
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Triangle
*########## END Triangle
*########## Quadrilateral
*########## Quadrilateral
*set elems(Quadrilateral)
*loop elems
*########## strastrestate:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*set var SSST = 0
*if(strcmp(Matprop(Strain-stress_state),"planestress")==0)
*set var SSST = 10
*endif
*if(strcmp(Matprop(Strain-stress_state),"planestrain")==0)
*set var SSST = 11
*endif
*set var ETYPE=23
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=63
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=24
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=64
*endif
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*set var FNUM=Matprop(MEFEL_time_function_number,int)
*endif
*endif
*end
*if((IsQuadratic(int)!=1))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")!=0)
*format "%10i%4i%4i%10i%10i%10i%10i%4i"
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%10i%4i%4i%10i%10i%10i%10i%4i%4i"
*endif
*endif
*if((IsQuadratic(int)==1))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")!=0)
*format "%10i%4i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%10i%4i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i%4i"
*endif
*endif

*ElemsNum(int) *ETYPE(int) *SSST(int) *ElemsConec 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*FNUM(int) *\
*endif
*########## geometry type:
*if(strcmp(GenData(MEFEL_Cross-section_type),"ON_ELEMENTS")==0)
*if(strcmp(GenData(MEFEL_Geometry),"2D")==0)
*format "%4i%10i"
10 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*format "%4i"
0  *\
*endif
*endif
*if(strcmp(GenData(MEFEL_Cross-section_type),"AT_NODES")==0)
*format "%4i"
0  *\
*endif
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Quadrilateral
*########## END Quadrilateral
*########## Tetrahedral
*########## Tetrahedral
*set elems(Tetrahedra)
*loop elems
*set var ETYPE=100
*if((IsQuadratic(int)==1))
*set var ETYPE=101
*endif
*### Funkce pro prvek a material (pouze pro rostouci konstrukci):
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*set var FNUM=Matprop(MEFEL_time_function_number,int)
*endif
*endif
*end
*### Tisk prvku a uzlu:
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%10i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsTet)
*Set var NODE1=ElemsConec(1)
*Set var NODE2=ElemsConec(2)
*Set var NODE3=ElemsConec(4)
*Set var NODE4=ElemsConec(3)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) 0 *\
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsTet)
*Set var NODE1=ElemsConec(1)
*Set var NODE2=ElemsConec(2)
*Set var NODE3=ElemsConec(4)
*Set var NODE4=ElemsConec(3)
*Set var NODE5=ElemsConec(5)
*Set var NODE6=ElemsConec(9)
*Set var NODE7=ElemsConec(8)
*Set var NODE8=ElemsConec(6)
*Set var NODE9=ElemsConec(7)
*Set var NODE10=ElemsConec(5)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) *NODE9(int) *NODE10(int) 0 *\
*endif
*########## Time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *FNUM(int) *\
*endif
*### Tisk cross-section:
 20 *ElemsMat  *\
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Tetrahedral
*########## END Tetrahedral
*########## Hexahedral
*########## Hexahedral
*set elems(Hexahedra)
*loop elems
*set var ETYPE=102
*if((IsQuadratic(int)==1))
*set var ETYPE=103
*endif
*### Funkce pro prvek a material (pouze pro rostouci konstrukci):
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*set var FNUM=Matprop(MEFEL_time_function_number,int)
*endif
*endif
*end
*### Tisk prvku a uzlu:
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsHex)
*Set var NODE1=ElemsConec(6)
*Set var NODE2=ElemsConec(7)
*Set var NODE3=ElemsConec(8)
*Set var NODE4=ElemsConec(5)
*Set var NODE5=ElemsConec(2)
*Set var NODE6=ElemsConec(3)
*Set var NODE7=ElemsConec(4)
*Set var NODE8=ElemsConec(1)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) 0 *\
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsHex)
*Set var NODE1=ElemsConec(6)
*Set var NODE2=ElemsConec(7)
*Set var NODE3=ElemsConec(8)
*Set var NODE4=ElemsConec(5)
*Set var NODE5=ElemsConec(2)
*Set var NODE6=ElemsConec(3)
*Set var NODE7=ElemsConec(4)
*Set var NODE8=ElemsConec(1)
*Set var NODE9=ElemsConec(18)
*Set var NODE10=ElemsConec(19)
*Set var NODE11=ElemsConec(20)
*Set var NODE12=ElemsConec(17)
*Set var NODE13=ElemsConec(14)
*Set var NODE14=ElemsConec(15)
*Set var NODE15=ElemsConec(16)
*Set var NODE16=ElemsConec(13)
*Set var NODE17=ElemsConec(10)
*Set var NODE18=ElemsConec(11)
*Set var NODE19=ElemsConec(12)
*Set var NODE20=ElemsConec(9)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) *NODE9(int) *NODE10(int) *NODE11(int) *NODE12(int) *NODE13(int) *NODE14(int) *NODE15(int) *NODE16(int) *NODE17(int) *NODE18(int) *NODE19(int) *NODE20(int) 0 *\
*endif
*########## Time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *FNUM(int) *\
*endif
*### Tisk cross-section:
 20 *ElemsMat  *\
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Hexahedral
*########## END Hexahedral
*########## springs from b.c.
*########## springs from b.c.
*set elems(all)
*Set var NUMSP=nelem(int)
*set elems(all)
*Set Cond Point-Node_Spring *nodes
*Add Cond Line-Node_Spring *nodes
*Add Cond Surface-Node_Spring *nodes
*Add Cond Volume-Node_Spring *nodes
*loop nodes *OnlyInCond
*##########X-spring:
*if(strcmp(cond(X-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  10  *NodesNum  0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(20,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(3),"LINEAR_ELASTIC")==0)
 1 *\
*endif
*if(strcmp(cond(3),"COMPRESSION_LINEAR_ELASTIC")==0)
 400 *\
*endif
 *Cond(4,int)
*endif
*##########Y-spring:
*if(strcmp(cond(Y-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  11  *NodesNum 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(21,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(6),"LINEAR_ELASTIC")==0)
 1 *\
*endif
*if(strcmp(cond(6),"COMPRESSION_LINEAR_ELASTIC")==0)
 400 *\
*endif
 *Cond(7,int)
*endif
*##########Z-spring:
*if(strcmp(cond(Z-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  12  *NodesNum 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(22,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(9),"LINEAR_ELASTIC")==0)
 1  *\
*endif
*if(strcmp(cond(9),"COMPRESSION_LINEAR_ELASTIC")==0)
 400  *\
*endif
 *Cond(10,int)
*endif
*##########XX-spring:
*if(strcmp(cond(XX-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  13  *NodesNum 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(23,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(12),"LINEAR_ELASTIC")==0)
 1  *\
*endif
*if(strcmp(cond(12),"COMPRESSION_LINEAR_ELASTIC")==0)
 400  *\
*endif
 *Cond(13,int)
*endif
*##########YY-spring:
*if(strcmp(cond(YY-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  14  *NodesNum 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(24,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(15),"LINEAR_ELASTIC")==0)
 1  *\
*endif
*if(strcmp(cond(15),"COMPRESSION_LINEAR_ELASTIC")==0)
 400  *\
*endif
 *Cond(16,int)
*endif
*##########ZZ-spring:
*if(strcmp(cond(ZZ-spring),"1")==0)
*Set var NUMSP=Operation(NUMSP(int)+1)
*NUMSP(int)  15  *NodesNum 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
 *Cond(25,int) *\
*endif
  0  1  *\
*##########Materials must be included
*if(strcmp(cond(18),"LINEAR_ELASTIC")==0)
 1  *\
*endif
*if(strcmp(cond(18),"COMPRESSION_LINEAR_ELASTIC")==0)
 400  *\
*endif
 *Cond(19,int)
*endif
*end nodes
*########## END springs from b.c.
*########## END springs from b.c.
*########## printing for splited bar or beam elements
*########## printing for splited bar or beam elements
*if(strcmp(GenData(Split_quadratic_bar_elements),"YES")==0)
*Set var TEMPNELEM=Operation(TNELEM(int)-TSNELEM(int))
*Set var NUMELEM=Operation(TEMPNELEM(int))
*if((IsQuadratic(int)==1))
*########## Linear
*########## Linear
*set elems(Linear)
*loop elems
*loop materials
*if(ElemsMat(int)==MatNum(int))
*set var SSST = 0
*if(strcmp(Matprop(Strain-stress_state),"bar")==0)
*set var SSST = 1
*endif
*if(strcmp(Matprop(Strain-stress_state),"plbeam")==0)
*set var SSST = 2
*endif
*if(strcmp(Matprop(Strain-stress_state),"spacebeam")==0)
*set var SSST = 5
*endif
*set var ETYPE=1
*if(strcmp(Matprop(Advanced_elements_properties),"bar3d")==0)
*set var ETYPE=3
*endif
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=1
*endif
*if((SSST(int)==2))
*set var ETYPE=2
*endif
*if((SSST(int)==5))
*set var ETYPE=4
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=6
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=6
*endif
*endif
*if((SSST(int)==2))
*set var ETYPE=2
*endif
*if((SSST(int)==5))
*set var ETYPE=4
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*set var FNUM=Matprop(MEFEL_time_function_number,int)
*endif
*endif
*end
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%4i"
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%4i%4i"
*endif
*Set var NUMELEM=Operation(NUMELEM(int)+1)
*NUMELEM(int) *ETYPE(int) *ElemsConec(3) *ElemsConec(2) 0 *\
*########## time function number:
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*FNUM(int) *\
*endif
*########## geometry type:
*if(strcmp(GenData(MEFEL_Cross-section_type),"ON_ELEMENTS")==0)
*if(strcmp(GenData(MEFEL_Geometry),"1D")==0)
*format "%4i%10i"
1 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"2D")==0)
*format "%4i%10i"
1 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"3D")==0)
*format "%4i%10i"
3 *ElemsMat  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"AXISYMM")==0)
*format "%4i"
0  *\
*endif
*endif
*if(strcmp(GenData(MEFEL_Cross-section_type),"AT_NODES")==0)
*format "%4i"
0  *\
*endif
*########## printing of materials on element
*loop materials
*if(ElemsMat(int)==MatNum(int))
*### pocet materialu
*set var NMATER=0
*if(strcmp(MatProp(creep_damage),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*Set var NMATER=Operation(NMATER(int)+1)
*endif
*### tisk materialu
*format "%4i"
*NMATER *\
*if(strcmp(MatProp(creep_damage),"YES")==0)
*format "%4i%10i"
1030 *ElemsMat *\
*endif
*if(strcmp(MatProp(creeprs),"YES")==0)
*format "%4i%10i"
504 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_scaldam),"YES")==0)
*format "%4i%10i"
100 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_ortodam),"YES")==0)
*format "%4i%10i"
106 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_jflow),"YES")==0)
*format "%4i%10i"
11 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_elastisomat),"YES")==0)
*format "%4i%10i"
1 *ElemsMat *\
*endif
*if(strcmp(MatProp(MEFEL_therisomat),"YES")==0)
*format "%4i%10i"
900 *ElemsMat
*endif
*endif
*end

*end elems
*########## END Linear
*########## END Linear
*endif
*endif
*########## END printing for splited bar or beam elements
*########## END printing for splited bar or beam elements
*#############################
*#   END MEFEL ELEMENTS      #
*#############################
