*#########################
*#   MEFEL LODCASES      #
*#########################
*##########  Priprava pro zatizeni dle typu ulohy:
*Set var PROBTYPE=0
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
*Set var PROBTYPE=1
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*Set var PROBTYPE=2
*endif
*##########  END Priprava pro zatizeni dle typu ulohy

*########## only for time dependent problems
*if((PROBTYPE(int)==1))
*########## force load
1 #number of loadcases (1 = always for time-dependent problems)
1 #time-dependent load

*# subloadcases:
*Set var NINTV=0
*loop intervals
*Set var NINTV=Operation(NINTV(int)+1)
*end
*NINTV(int) #number of subloadcases

*Set var INTV=0
*loop intervals
*Set var INTV=Operation(INTV(int)+1)
#subloadcase number *INTV(int)
# loaded nodes:
*########## loaded nodes counting
*Set var NUM=0
*set elems(all)
*Set Cond Point-Node_Load *nodes
*Add Cond Line-Node_Load *nodes
*Add Cond Surface-Node_Load *nodes
*Add Cond Volume-Node_Load *nodes
*loop nodes *OnlyInCond
*Set var NNUM=0
*if(Cond(1,real)!=0.0)
*Set var NNUM=1
*endif
*if(Cond(2,real)!=0.0)
*Set var NNUM=1
*endif
*if(Cond(3,real)!=0.0)
*Set var NNUM=1
*endif
*if(NNUM(int)==1)
*Set var NUM=NUM+1
*endif
*end nodes
*NUM(int)
*########## loaded nodes printing
*loop nodes *OnlyInCond
*format "%10i"
*NodesNum   *\
*if(strcmp(GenData(MEFEL_Geometry),"1D")==0)
*format "%14.5e"
*Cond(1,real)
*endif
*if(strcmp(GenData(MEFEL_Geometry),"2D")==0)
*format "%14.5e%14.5e"
*Cond(1,real) *Cond(2,real)
*endif
*if(strcmp(GenData(MEFEL_Geometry),"3D")==0)
*format "%14.5e%14.5e%14.5e"
*Cond(1,real) *Cond(2,real) *Cond(3,real)
*endif
*end nodes

# loaded elements:
*########## loaded elements
*set elems(all)
*Set Cond Line-Volume_Load *elems
*Add Cond Surface-Volume_Load *elems
*Add Cond Volume-Volume_Load *elems
*Set var COUNT=0
*loop elems *OnlyInCond
*Set var COUNT=Operation(COUNT(int)+1)
*end elems
*COUNT(int)

*set elems(all)
*Set Cond Line-Volume_Load *elems
*Add Cond Surface-Volume_Load *elems
*Add Cond Volume-Volume_Load *elems
*loop elems *OnlyInCond
*ElemsNum   *\
*########## volume load
1   *\
*Set var EN=ElemsNnode
*for(I=1;I<=EN;I=I+1)
*if(strcmp(GenData(MEFEL_Geometry),"1D")==0)
*Cond(1) *Cond(2)  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"2D")==0)
*Cond(1) *Cond(2)  *\
*endif
*if(strcmp(GenData(MEFEL_Geometry),"3D")==0)
*Cond(1) *Cond(2) *Cond(3)  *\
*endif
*end
*end elems

# prescribed displacements:
*########## prescribed displacements
0

# temperature changes:
*########## prescribed temperature changes
*if(strcmp(IntvData(Non-mechanical_load_Temperature_changes),"NO")==0)
0 #no temperature included
*endif
*if(strcmp(IntvData(Non-mechanical_load_Temperature_changes),"SET_IN_MEFEL")==0)
2 #temperature set in MEFEL
*endif
*if(strcmp(IntvData(Non-mechanical_load_Temperature_changes),"FROM_TRFEL")==0)
3 #temperature from TRFEL part
*endif

# time function for subloadcase coefficient:
*########## time function
*if(strcmp(IntvData(4),"CONSTANT_AT_TIME")==0)
0 *IntvData(5) #constant time step
*endif
*if(strcmp(IntvData(4),"FROM_TABLE")==0)
2 #time step reading from table
*if(strcmp(IntvData(6),"PIECEWISE_LINEAR")==0)
1 #piecewise linear
*endif
*if(strcmp(IntvData(6),"DIRAC")==0)
2 #dirac
*endif
*if(strcmp(IntvData(6),"LAGRANGE")==0)
3 #lagrange
*endif
# table:
*tcl(WriteTabFunct *IntvData(7))
*endif

*###### end intervals
*end

# eigenstrains:
*########## eigenstrains
0 #no eigenstrains
*##########END only for time dependent problems
*endif
*#############################
*#   END MEFEL LODCASES      #
*#############################
