*#########################################
*#       MEFEL PROBLEM DESCRITPION       #
*#########################################
*########## problem title:
*GenData(MEFEL_Title_of_the_problem)
*########## detail message printing:
*GenData(MEFEL_Detail_message_printing)
*########## problem type:
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
1 #linear statics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
2 #eigen dynamics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
3 #forced dynamics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
5 #linear stability
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
10 #nonlinear statics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
15 #mech time dependent
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
20 #earth preasure
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
30 #layered linear statics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
40 #nonlinear dynamics
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
17 #growing problem
*endif
*########## computation of strains, stresses and reactions:
*if(strcmp(GenData(MEFEL_Strain_computation),"NO")==0)
0 #no strain computation
*endif
*if(strcmp(GenData(MEFEL_Strain_averaging),"NO")==0)
*Set var SAVER=0
*endif
*if(strcmp(GenData(MEFEL_Strain_averaging),"ARITHMETIC")==0)
*Set var SAVER=1
*endif
*if(strcmp(GenData(MEFEL_Strain_averaging),"VOLUME")==0)
*Set var SAVER=2
*endif
*if(strcmp(GenData(MEFEL_Strain_computation),"INT_POINTS")==0)
1 1 *SAVER(int) #strain computation #int. points #strain averaging
*endif
*if(strcmp(GenData(MEFEL_Strain_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *SAVER(int) #strain computation #copy form int. points to nodes #strain averaging
*endif
*if(strcmp(GenData(MEFEL_Strain_computation),"AT_NODES")==0)
1 3 *SAVER(int) #strain computation #at nodes #strain averaging
*endif
*if(strcmp(GenData(MEFEL_Stress_computation),"NO")==0)
0 #no stress computation
*endif
*if(strcmp(GenData(MEFEL_Stress_averaging),"NO")==0)
*Set var SSAVER=0
*endif
*if(strcmp(GenData(MEFEL_Stress_averaging),"ARITHMETIC")==0)
*Set var SSAVER=1
*endif
*if(strcmp(GenData(MEFEL_Stress_averaging),"VOLUME")==0)
*Set var SSAVER=2
*endif
*if(strcmp(GenData(MEFEL_Stress_computation),"INT_POINTS")==0)
1 1 *SSAVER(int) #stress computation #int. points #stress averaging
*endif
*if(strcmp(GenData(MEFEL_Stress_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *SSAVER(int) #stress computation #copy form int. points to nodes #stress averaging
*endif
*if(strcmp(GenData(MEFEL_Stress_computation),"AT_NODES")==0)
1 3 *SSAVER(int) #stress computation #at nodes #stress averaging
*endif
*if(strcmp(GenData(MEFEL_Other_computation),"NO")==0)
0 #no stress computation
*endif
*if(strcmp(GenData(MEFEL_Other_averaging),"NO")==0)
*Set var OAVER=0
*endif
*if(strcmp(GenData(MEFEL_Other_averaging),"ARITHMETIC")==0)
*Set var OAVER=1
*endif
*if(strcmp(GenData(MEFEL_Other_averaging),"VOLUME")==0)
*Set var OAVER=2
*endif
*if(strcmp(GenData(MEFEL_Other_computation),"INT_POINTS")==0)
1 1 *OAVER(int) #other computation #int. points #other averaging
*endif
*if(strcmp(GenData(MEFEL_Other_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *OAVER(int) #other computation #copy form int. points to nodes #other averaging
*endif
*if(strcmp(GenData(MEFEL_Other_computation),"AT_NODES")==0)
1 3 *OAVER(int) #other computation #at nodes #other averaging
*endif
*if(strcmp(GenData(MEFEL_Reaction_computation),"NO")==0)
0 #no reaction computation
*endif
*if(strcmp(GenData(MEFEL_Reaction_computation),"YES")==0)
1 #reaction computation
*endif
*########## adaptivity
*if(strcmp(GenData(MEFEL_Adaptivity),"NO")==0)
0 #no adaptivity
*endif
*if(strcmp(GenData(MEFEL_Adaptivity),"YES")==0)
1 #adaptivity is using
*endif
*########## stochastic calculation
*if(strcmp(GenData(MEFEL_Calculation_type),"DETERMINISTIC")==0)
0 #deterministic computation
*endif
*if(strcmp(GenData(MEFEL_Calculation_type),"STOCHASTIC")==0)
1 #stochastic computation
*endif
*########## homogenization
*if(strcmp(GenData(MEFEL_Homogenization),"NO")==0)
0 #no homogenization
*endif
*if(strcmp(GenData(MEFEL_Homogenization),"YES")==0)
1 #homogenization
*endif
*########## renumbering of nodes
*if(strcmp(GenData(MEFEL_Renumbering),"NO")==0)
0 #no renumbering - not implemented in GiD
*endif
*if(strcmp(GenData(MEFEL_Renumbering),"REV_CUTHIL_MCKEE")==0)
0 #no renumbering - not implemented in GiD
*endif
*if(strcmp(GenData(MEFEL_Renumbering),"SLOAN")==0)
0 #no renumbering - not implemented in GiD
*endif

*########## solver data
#data about solver:
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
dodelat???!!!
*endif
*########## MECH_TIMEDEPENDENT_PROB
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
#time controler:
0 *GenData(MEFEL_Start_time_[s])  *GenData(MEFEL_End_time_[s]) #start time #end time
*if(strcmp(GenData(MEFEL_Important_times),"YES")==0)
#important times:
*tcl(WriteNItimes *GenData(106))
1.0 #minimum time step increment
*endif
*if(strcmp(GenData(MEFEL_Important_times),"NO")==0)
0 #no important time
*endif
*if(strcmp(GenData(101),"CONSTANT_AT_TIME")==0)
0 *GenData(102) #constant time step
*endif
*if(strcmp(GenData(101),"FROM_TABLE")==0)
2 #time step reading from table
*if(strcmp(GenData(103),"PIECEWISE_LINEAR")==0)
1 #piecewise linear
*endif
*if(strcmp(GenData(103),"DIRAC")==0)
2 #dirac
*endif
*if(strcmp(GenData(103),"LAGRANGE")==0)
3 #lagrange
*endif
# table:
*tcl(WriteTabFunct *GenData(104))
*endif

# backup:
0 #no backup dodelat??!!

#solver type:
# Newton solver:
*if(strcmp(GenData(MEFEL_nonlinear_time_solver_type),"FULL_NEWTON")==0)
*GenData(MEFEL_Time_inner_iteration_number,int) *GenData(MEFEL_Time_Error,real) 1 #number of iteration #error #full newton
*endif
*if(strcmp(GenData(MEFEL_nonlinear_time_solver_type),"MOD_NEWTON")==0)
*GenData(MEFEL_Time_inner_iteration_number,int) *GenData(MEFEL_Time_Error,real) 2 #number of iteration #error #modified newton
*endif

# stifness matrix storage:
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"DENSE")==0)
1 #dense
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SKY-LINE")==0)
2 #skyline
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"DOUBLE_SKY-LINE")==0)
3 #double skyline
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"COMPRESSED_ROWS")==0)
10 #compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SYMMETRIC_COMPRESSED_ROWS")==0)
11 #symmetric compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SPARSE_DIRECT_SCR")==0)
140 #sparse direct compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SPARSE_DIRECT_CR")==0)
141 #sparse direct symmetric compressed rows
*endif
#stifness matrix type for time dependent problems:
*if(strcmp(GenData(Stiffness_matrix_type),"INITIAL")==0)
1 #inital
*endif
*if(strcmp(GenData(Stiffness_matrix_type),"TANGENT")==0)
2 #tangent
*endif
*if(strcmp(GenData(Stiffness_matrix_type),"SECANT")==0)
3 #secant
*endif
#solver type:
*if(strcmp(GenData(MEFEL_Solver_type),"GAUSS")==0)
1 #gauss
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"LDL")==0)
2 #ldl
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"LU")==0)
3 #lu
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"CONJUGATE_GRADIENTS")==0)
20 #cg
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
30 #bcg
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LDL")==0)
140 #sparse ldl
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LU")==0)
141 #sparse lu
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LL")==0)
142 #sparse ll
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"CONJUGATE_GRADIENTS")==0)
#conjugate gradients data:
*GenData(MEFEL_Max._iter._number) *GenData(MEFEL_Max._norm_error)
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"NONE")==0)
0 #no preconditioning
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"DIAGONAL")==0)
1 #diagonal preconditioning
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"SSOR")==0)
5 *GenData(MEFEL_SSOR_precond._omega) #ssor #omega
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"INCOMPLETE")==0)
10 *GenData(MEFEL_Incomplete_precond._gamma) #incomplete #gamma
*endif
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
#biconjugate gradients data:
*GenData(MEFEL_Max._iter._number) *GenData(MEFEL_Max._norm_error) #max. iteration number #max. norm error
*endif
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
dodelat???!!!
*endif
*########## 
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
dodelat???!!!
*endif
*########## GROWING_PROBLEM
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
#time controler:
0 *GenData(MEFEL_Start_time_[s])  *GenData(MEFEL_End_time_[s]) #start time #end time
*if(strcmp(GenData(MEFEL_Important_times),"YES")==0)
#important times:
*tcl(WriteNItimes *GenData(106))
1.0 #minimum time step increment
*endif
*if(strcmp(GenData(MEFEL_Important_times),"NO")==0)
0 #no important time
*endif
*if(strcmp(GenData(101),"CONSTANT_AT_TIME")==0)
0 *GenData(102) #constant time step
*endif
*if(strcmp(GenData(101),"FROM_TABLE")==0)
2 #time step reading from table
*if(strcmp(GenData(103),"PIECEWISE_LINEAR")==0)
1 #piecewise linear
*endif
*if(strcmp(GenData(103),"DIRAC")==0)
2 #dirac
*endif
*if(strcmp(GenData(103),"LAGRANGE")==0)
3 #lagrange
*endif
# table:
*tcl(WriteTabFunct *GenData(104))
*endif

# backup:
0 #no backup dodelat??!!

#solver type:
# Newton solver:
*if(strcmp(GenData(MEFEL_nonlinear_time_solver_type),"FULL_NEWTON")==0)
*GenData(MEFEL_Time_inner_iteration_number,int) *GenData(MEFEL_Time_Error,real) 1 #number of iteration #error #full newton
*endif
*if(strcmp(GenData(MEFEL_nonlinear_time_solver_type),"MOD_NEWTON")==0)
*GenData(MEFEL_Time_inner_iteration_number,int) *GenData(MEFEL_Time_Error,real) 2 #number of iteration #error #modified newton
*endif

# stifness matrix storage:
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"DENSE")==0)
1 #dense
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SKY-LINE")==0)
2 #skyline
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"DOUBLE_SKY-LINE")==0)
3 #double skyline
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"COMPRESSED_ROWS")==0)
10 #compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SYMMETRIC_COMPRESSED_ROWS")==0)
11 #symmetric compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SPARSE_DIRECT_SCR")==0)
140 #sparse direct compressed rows
*endif
*if(strcmp(GenData(MEFEL_Stiffness_matrix_storage),"SPARSE_DIRECT_CR")==0)
141 #sparse direct symmetric compressed rows
*endif
#stifness matrix type for time dependent problems:
*if(strcmp(GenData(Stiffness_matrix_type),"INITIAL")==0)
1 #inital
*endif
*if(strcmp(GenData(Stiffness_matrix_type),"TANGENT")==0)
2 #tangent
*endif
*if(strcmp(GenData(Stiffness_matrix_type),"SECANT")==0)
3 #secant
*endif
#solver type:
*if(strcmp(GenData(MEFEL_Solver_type),"GAUSS")==0)
1 #gauss
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"LDL")==0)
2 #ldl
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"LU")==0)
3 #lu
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"CONJUGATE_GRADIENTS")==0)
20 #cg
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
30 #bcg
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LDL")==0)
140 #sparse ldl
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LU")==0)
141 #sparse lu
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"SPARSE_LL")==0)
142 #sparse ll
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"CONJUGATE_GRADIENTS")==0)
#conjugate gradients data:
*GenData(MEFEL_Max._iter._number) *GenData(MEFEL_Max._norm_error)
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"NONE")==0)
0 #no preconditioning
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"DIAGONAL")==0)
1 #diagonal preconditioning
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"SSOR")==0)
5 *GenData(MEFEL_SSOR_precond._omega) #ssor #omega
*endif
*if(strcmp(GenData(MEFEL_Conjugate_gradients_precondition),"INCOMPLETE")==0)
10 *GenData(MEFEL_Incomplete_precond._gamma) #incomplete #gamma
*endif
*endif
*if(strcmp(GenData(MEFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
#biconjugate gradients data:
*GenData(MEFEL_Max._iter._number) *GenData(MEFEL_Max._norm_error) #max. iteration number #max. norm error
*endif
*endif
*#########################################
*#   END MEFEL PROBLEM DESCRITPION       #
*#########################################
