*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# 
*#      METR.bas - template file for SIFEL input file printing
*# 
*#      METR  - PARTIALLY COUPLED, FULLY COUPLED
*#      TRFEL - K U N Z E L' S  A P P R O A C H
*#      MEFEL - TIME DEPENDENT PROBLEMS
*#
*#      Tomas Krejci, 30.3.2006
*# 
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# 
*#
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           Z A C A T E K  T I S K U  P R O  M E T R
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*########################################
*#       METR PROBLEM DESCRITPION       #
*########################################
*########## problem title:
*GenData(METR_Title_of_the_problem)
*GenData(MEFEL_input_file_name)
*GenData(TRFEL_input_file_name)
*########## detail message printing:
*GenData(METR_Detail_message_printing)
*########## problem type:
*if(strcmp(GenData(METR_Problem_type),"PARTIALLY-COUPLED")==0)
10
*endif
*if(strcmp(GenData(METR_Problem_type),"FULLY-COUPLED_NON-LINEAR")==0)
1
*endif
*if(strcmp(GenData(METR_Problem_type),"PARTIALLY-COUPLED_GROWING")==0)
70
*endif
*########## Ladyzhenskaja-Babuska-Brezzi_problem MEFEL-TRFEL
*if(strcmp(GenData(METR_Ladyzhenskaja-Babuska-Brezzi_problem),"LINEAR_LINEAR")==0)
1
*endif
*if(strcmp(GenData(METR_Ladyzhenskaja-Babuska-Brezzi_problem),"QUADRATIC_LINEAR")==0)
2
*endif
*if(strcmp(GenData(METR_Ladyzhenskaja-Babuska-Brezzi_problem),"QUADRATIC_QUADRATIC")==0)
3
*endif
*if(strcmp(GenData(METR_Number_of_trans._matter),"MECH_1-MEDIUM")==0)
1
*endif
*if(strcmp(GenData(METR_Number_of_trans._matter),"MECH_2-MEDIA")==0)
2
*endif
*if(strcmp(GenData(METR_Number_of_trans._matter),"MECH_3-MEDIA")==0)
3
*endif
*########## name of transported media
*if(strcmp(GenData(METR_Name_of_trans._matter),"MECH_HEAT")==0)
1
*endif
*if(strcmp(GenData(METR_Name_of_trans._matter),"MECH_HEAT_AND_MOISTURE")==0)
10
*endif

*########## solver data for fully coupled
*if(strcmp(GenData(METR_Problem_type),"FULLY-COUPLED_NON-LINEAR")==0)
doplnit??!!
*endif

*########## solver data for partially coupled
*if(strcmp(GenData(METR_Problem_type),"PARTIALLY-COUPLED")==0)

*########## time controller:
*GenData(METR_Start_time_[s])  *GenData(METR_End_time_[s])
*if(strcmp(GenData(METR_Important_times),"YES")==0)
*tcl(WriteNItimes *GenData(14))
*endif
*if(strcmp(GenData(METR_Important_times),"NO")==0)
0
*endif
*if(strcmp(GenData(9),"CONSTANT_AT_TIME")==0)
0 *GenData(10)
*endif
*if(strcmp(GenData(9),"FROM_TABLE")==0)
2
*if(strcmp(GenData(11),"PIECEWISE_LINEAR")==0)
1
*endif
*if(strcmp(GenData(11),"DIRAC")==0)
2
*endif
*if(strcmp(GenData(11),"LAGRANGE")==0)
3
*endif
*tcl(WriteTabFunct *GenData(12))
*endif
*########## solver of nonlinear equation system:
*if(strcmp(GenData(METR_Type_of_nonlin.eq.solver),"ARC_LENGTH")==0)
1
*endif
*if(strcmp(GenData(METR_Type_of_nonlin.eq.solver),"NEWTON_RAPHSON_COUPL")==0)
2
*endif
*endif

*########## solver data for partially coupled
*if(strcmp(GenData(METR_Problem_type),"PARTIALLY-COUPLED_GROWING")==0)

*########## time controller:
*GenData(METR_Start_time_[s])  *GenData(METR_End_time_[s])
*if(strcmp(GenData(METR_Important_times),"YES")==0)
*tcl(WriteNItimes *GenData(14))
*endif
*if(strcmp(GenData(METR_Important_times),"NO")==0)
0
*endif
*if(strcmp(GenData(9),"CONSTANT_AT_TIME")==0)
0 *GenData(10)
*endif
*if(strcmp(GenData(9),"FROM_TABLE")==0)
2
*if(strcmp(GenData(11),"PIECEWISE_LINEAR")==0)
1
*endif
*if(strcmp(GenData(11),"DIRAC")==0)
2
*endif
*if(strcmp(GenData(11),"LAGRANGE")==0)
3
*endif
*tcl(WriteTabFunct *GenData(12))
*endif
*########## solver of nonlinear equation system:
*if(strcmp(GenData(METR_Type_of_nonlin.eq.solver),"ARC_LENGTH")==0)
1
*endif
*if(strcmp(GenData(METR_Type_of_nonlin.eq.solver),"NEWTON_RAPHSON_COUPL")==0)
2
*endif
*endif
*########################################
*#   END METR PROBLEM DESCRITPION       #
*########################################
