
*#########################
*#   TRFEL ELEMENTS      #
*#########################
*####### KONTROLA NEZADANYCH MATERIALU
*if(nmats==0)
*# warning if no material defined:
*tcl(ErrorMat)
*endif
*########## geometry type:
*if(strcmp(GenData(TRFEL_Geometry),"1D")==0)
*set var CRSEC = 1
*endif
*if(strcmp(GenData(TRFEL_Geometry),"2D")==0)
*set var CRSEC = 2
*endif
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*Set var CRSEC = 2
*endif
*if(strcmp(GenData(TRFEL_Geometry),"3D")==0)
*set var CRSEC = 3
*endif
*########## elements print:
*########## total number of elements
*nelem # number of elements
# element number; element type; element connectivity; 0; cross-section type; cross-section number; material type; material number
*########## material flag = styl zapisu se muze zmenit??!!!
*########## take se muze zmenit styl zapisu pro prurezy??!!!
*if(strcmp(GenData(TRFEL_Approach_type),"ISOHEAT")==0)
*set var MATF = 100
*set var MATN = 1
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"KUNZEL")==0)
*set var MATF = 155
*set var MATN = 4
*if(strcmp(GenData(TRFEL_Homogenization),"YES")==0)
*set var MATF = 110
*endif
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"PADOVA")==0)
*set var MATF = 165
*set var MATN = 9
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"GLASGOW")==0)
*set var MATF = 170
*set var MATN = 9
*endif
*#**********************
*#*no mesh converting:*
*#**********************
*if(strcmp(GenData(Convert_quadratic_mesh),"NO")==0)
*########## loops over elements types:
*########## element_number   element_type   element_connectivity  0  cross-section_type   cross-section_number   material_type material_number
*########## Linear
*########## Linear
*set elems(Linear)
*loop elems
*set var ETYPE=200
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=201
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=205
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=206
*endif
*endif
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%4i%4i%4i"
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%4i"
*endif

*ElemsNum *ETYPE *ElemsConec 0  *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%4i"
 *FNUM(int) *\
*endif
*format "%4i%4i%"
 1 *ElemsMat *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Linear
*########## END Linear
*########## Triangle
*########## Triangle
*set elems(Triangle)
*loop elems
*set var ETYPE=210
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=211
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=500
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=501
*endif
*endif
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%4i%4i%4i"
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%4i%4i%4i"
*endif

*ElemsNum *ETYPE *ElemsConec   0 *CRSEC(int) *ElemsMat   *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Triangle
*########## END Triangle
*########## Quadrilateral
*########## Quadrilateral
*set elems(Quadrilateral)
*loop elems
*set var ETYPE=215
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=217
*endif
*if((IsQuadratic(int)==1))
*set var ETYPE=216
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=218
*endif
*endif
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*if((IsQuadratic(int)!=1))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i"
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i%4i"
*endif
*endif
*if((IsQuadratic(int)==1))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i%4i%4i"
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i%4i%4i%4i"
*endif
*endif

*ElemsNum *ETYPE *ElemsConec   0 *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*FNUM(int) *\
*endif
*CRSEC(int) *ElemsMat   *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Quadrilateral
*########## END Quadrilateral
*########## Tetrahedral
*########## Tetrahedral
*set elems(Tetrahedra)
*loop elems
*set var ETYPE=220
*if((IsQuadratic(int)==1))
*set var ETYPE=1000
*endif
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsTet)
*Set var NODE1=ElemsConec(2)
*Set var NODE2=ElemsConec(3)
*Set var NODE3=ElemsConec(4)
*Set var NODE4=ElemsConec(1)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int)  0 *CRSEC(int) *ElemsMat   *\
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i%4i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsTet)
*Set var NODE1=ElemsConec(2)
*Set var NODE2=ElemsConec(3)
*Set var NODE3=ElemsConec(4)
*Set var NODE4=ElemsConec(1)
*Set var NODE5=ElemsConec(6)
*Set var NODE6=ElemsConec(10)
*Set var NODE7=ElemsConec(9)
*Set var NODE8=ElemsConec(7)
*Set var NODE9=ElemsConec(8)
*Set var NODE10=ElemsConec(5)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) *NODE9(int) *NODE10(int)  0 *CRSEC(int) *ElemsMat   *\
*endif
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Tetrahedral
*########## END Tetrahedral
*########## Hexahedral
*########## Hexahedral
*set elems(Hexahedra)
*loop elems
*set var ETYPE=225
*if((IsQuadratic(int)==1))
*set var ETYPE=226
*endif
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*if((IsQuadratic(int)!=1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsHex)
*Set var NODE1=ElemsConec(6)
*Set var NODE2=ElemsConec(7)
*Set var NODE3=ElemsConec(8)
*Set var NODE4=ElemsConec(5)
*Set var NODE5=ElemsConec(2)
*Set var NODE6=ElemsConec(3)
*Set var NODE7=ElemsConec(4)
*Set var NODE8=ElemsConec(1)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) 0 *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%4i"
 *FNUM(int) *\
*endif
*format "%4i%4i%"
 *CRSEC(int) *ElemsMat *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*endif
*if((IsQuadratic(int)==1))
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsHex)
*Set var NODE1=ElemsConec(6)
*Set var NODE2=ElemsConec(7)
*Set var NODE3=ElemsConec(8)
*Set var NODE4=ElemsConec(5)
*Set var NODE5=ElemsConec(2)
*Set var NODE6=ElemsConec(3)
*Set var NODE7=ElemsConec(4)
*Set var NODE8=ElemsConec(1)
*Set var NODE9=ElemsConec(18)
*Set var NODE10=ElemsConec(19)
*Set var NODE11=ElemsConec(20)
*Set var NODE12=ElemsConec(17)
*Set var NODE13=ElemsConec(14)
*Set var NODE14=ElemsConec(15)
*Set var NODE15=ElemsConec(16)
*Set var NODE16=ElemsConec(13)
*Set var NODE17=ElemsConec(10)
*Set var NODE18=ElemsConec(11)
*Set var NODE19=ElemsConec(12)
*Set var NODE20=ElemsConec(9)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) *NODE9(int) *NODE10(int) *NODE11(int) *NODE12(int) *NODE13(int) *NODE14(int) *NODE15(int) *NODE16(int) *NODE17(int) *NODE18(int) *NODE19(int) *NODE20(int) 0 *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%4i"
 *FNUM(int) *\
*endif
*format "%4i%4i%"
 *CRSEC(int) *ElemsMat *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*endif
*end elems
*########## END Hexahedral
*########## END Hexahedral
*endif
*#**********************
*#*yes mesh converting:*
*#**********************
*if(strcmp(GenData(Convert_quadratic_mesh),"YES")==0)
*########## loops over elements types:
*########## element number   element type   element connectivity  0  cross-section type   cross-section number   material type (155)   material number
*########## Linear
*########## Linear
*set elems(Linear)
*loop elems
*set var ETYPE=200
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=201
*endif
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*format "%10i%4i%10i%10i%4i"

*ElemsNum *ETYPE *ElemsConec(1) *ElemsConec(2)   0   *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%4i"
 *FNUM(int) *\
*endif
*format "%4i%4i%"
 1 *ElemsMat *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Linear
*########## END Linear
*########## Triangle
*########## Triangle
*set elems(Triangle)
*loop elems
*set var ETYPE=210
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=211
*endif
*format "%10i%4i%10i%10i%10i%4i%4i%4i"

*ElemsNum *ETYPE *ElemsConec(1) *ElemsConec(2) *ElemsConec(3)   0 *CRSEC(int) *ElemsMat   *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Triangle
*########## END Triangle
*########## Quadrilateral
*########## Quadrilateral
*set elems(Quadrilateral)
*loop elems
*set var ETYPE=215
*if(strcmp(GenData(TRFEL_Geometry),"AXISYMM")==0)
*set var ETYPE=217
*endif
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")!=0)
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i"
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i%4i"
*endif

*ElemsNum *ETYPE *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4)   0 *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*FNUM(int) *\
*endif
*CRSEC(int) *ElemsMat   *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Quadrilateral
*########## END Quadrilateral
*########## Tetrahedral
*########## Tetrahedral
*set elems(Tetrahedra)
*loop elems
*set var ETYPE=220
*format "%10i%4i%10i%10i%10i%10i%4i%4i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsTet)
*Set var NODE1=ElemsConec(2)
*Set var NODE2=ElemsConec(3)
*Set var NODE3=ElemsConec(4)
*Set var NODE4=ElemsConec(1)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int)  0 *CRSEC(int) *ElemsMat   *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*end elems
*########## END Tetrahedral
*########## END Tetrahedral
*########## Hexahedral
*########## Hexahedral
*set elems(Hexahedra)
*loop elems
*set var ETYPE=225
*########## time function number:
*loop materials
*if(ElemsMat(int)==MatNum(int))
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*set var FNUM=Matprop(TRFEL_time_function_number,int)
*endif
*endif
*end
*format "%10i%4i%10i%10i%10i%10i%10i%10i%10i%10i%4i"
*##########renumbering according to SIFEL:
*tcl(RenumElementsHex)
*Set var NODE1=ElemsConec(6)
*Set var NODE2=ElemsConec(7)
*Set var NODE3=ElemsConec(8)
*Set var NODE4=ElemsConec(5)
*Set var NODE5=ElemsConec(2)
*Set var NODE6=ElemsConec(3)
*Set var NODE7=ElemsConec(4)
*Set var NODE8=ElemsConec(1)

*ElemsNum *ETYPE *NODE1(int) *NODE2(int) *NODE3(int) *NODE4(int) *NODE5(int) *NODE6(int) *NODE7(int) *NODE8(int) 0 *\
*########## time function number print:
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
*format "%4i"
 *FNUM(int) *\
*endif
*format "%4i%4i%"
 *CRSEC(int) *ElemsMat *\
*for(I=1;I<=MATN;I=I+1)
*format "%4i%4i%"
*MATF(int) *ElemsMat *\
*end
*########## END Hexahedral
*########## END Hexahedral
*end elems
*endif
*#############################
*#   END TRFEL ELEMENTS      #
*#############################
