

*###################################
*#   TRFEL INITIAL CONDITIONS      #
*###################################
*# initial conditions count:
*Set var COUNTINITH=0
*Set var COUNTINITG=0
*Set var COUNTINITT=0
*set elems(all)
*Set Cond Point-Node_Initial_Values *nodes
*Add Cond Line-Node_Initial_Values *nodes
*Add Cond Surface-Node_Initial_Values *nodes
*Add Cond Volume-Node_Initial_Values *nodes
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"ONE-MEDIUM")==0)
*loop nodes
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"MOISTURE")==0)
*if(Cond(2,real)!=0.0)
*Set var COUNTINITH=Operation(COUNTINITH(int)+1)
*endif
*endif
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"HEAT")==0)
*if(Cond(3,real)!=0.0)
*Set var COUNTINITT=Operation(COUNTINITT(int)+1)
*endif
*endif
*end nodes
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"MOISTURE")==0)
*if(COUNTINITH==0)
*# initial conditions warning if no condition defined:
*tcl(ErrorInitRH)
*endif
*endif
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"HEAT")==0)
*if(COUNTINITT==0)
*# initial conditions warning if no condition defined:
*tcl(ErrorInitT)
*endif
*endif
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"TWO-MEDIA")==0)
*loop nodes
*if(Cond(2,real)!=0.0)
*Set var COUNTINITH=Operation(COUNTINITH(int)+1)
*endif
*if(Cond(3,real)!=0.0)
*Set var COUNTINITT=Operation(COUNTINITT(int)+1)
*endif
*end nodes
*if(COUNTINITH==0)
*# initial conditions warning if no condition defined:
*tcl(ErrorInitRH)
*endif
*if(COUNTINITT==0)
*# initial conditions warning if no condition defined:
*tcl(ErrorInitT)
*endif
*endif

*# initial conditions print:
*set elems(all)
*Set Cond Point-Node_Initial_Values *nodes
*Add Cond Line-Node_Initial_Values *nodes
*Add Cond Surface-Node_Initial_Values *nodes
*Add Cond Volume-Node_Initial_Values *nodes
*loop nodes
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"ONE-MEDIUM")==0)
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"HEAT")==0)
*format "%10i%13.5e"
*NodesNum *Cond(3,real)
*endif
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"MOISTURE")==0)
*format "%10i%13.5e"
*NodesNum *Cond(2,real)
*endif
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"TWO-MEDIA")==0)
*format "%10i%13.5e%13.5e"
*NodesNum *Cond(2,real) *Cond(3,real)
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"THREE-MEDIA")==0)
*format "%10i%13.5e%13.5e%13.5e"
*NodesNum *Cond(2,real) *Cond(3,real) *Cond(4,real)
*endif
*end nodes
*#######################################
*#   END TRFEL INITIAL CONDITIONS      #
*#######################################
