
*#########################
*#   TRFEL MATERIALS     #
*#########################
*set var NMATTYPE = 1
*if(strcmp(GenData(TRFEL_Homogenization),"YES")==0)
*set var NMATTYPE = 2
*endif
*# number of material types:
*NMATTYPE # number of material types
*###################
*# KUNZEL MATERIAL #
*###################
*if(strcmp(GenData(TRFEL_Approach_type),"KUNZEL")==0)
*# material type number   number of materials:
155 *nmats # kunzel material; number of kunzel materials
*loop materials
*#------------------------ print of flags
*# material number  + 18 properties

# -------------------------------------------------------------
# *MatProp(Material_name)
*MatNum #material number
## material data info:
*#--density = only constant
1  #density = only constant
*#--porosity = only constant
1  #porosity = only constant
*#--water_vapor_diffusion_resistance_factor = only constant
1  #water_vapor_diffusion_resistance_factor = only constant
*#--moisture diffusivity
#moisture diffusivity:
*#- constant
*if(strcmp(MatProp(Moisture_diffusivity_variable_type),"CONSTANT")==0)
1  #constant
*endif
*if(strcmp(MatProp(Moisture_diffusivity_variable_type),"ADVANCED")==0)
*#- data
*if(strcmp(MatProp(Moisture_diffusivity_from),"DATA")==0)
2  #data
*endif
*#- function
*if(strcmp(MatProp(Moisture_diffusivity_from),"FUNCTION")==0)
30  #function
*endif
*endif
*#--sorption isotherm
#sorption isotherm:
*if(strcmp(MatProp(Sorption_isotherm_from),"DATA")==0)
2  #data
*endif
*if(strcmp(MatProp(Sorption_isotherm_from),"FUNCTION")==0)
*if(strcmp(MatProp(Sorption_isotherm_function_type),"ROOT")==0)
30  #function - Root
*endif
*#zadani isothermy FUNCTION - HANSEN
*if(strcmp(MatProp(Sorption_isotherm_function_type),"HANSEN")==0)
31  #function - Hansen
*endif
*endif
*#--maximum saturation moisture = only constant
1  #maximum saturation moisture = only constant
*#--hydraulic conductivity
1  #hydraulic conductivity = only constant
*#--cpecific heat capacity = only constant
1  #cpecific heat capacity = only constant
*#--thermal conductivity
#thermal conductivity
*if(strcmp(MatProp(Thermal_conductivity_type),"CONSTANT")==0)
1  #constant
*endif
*if(strcmp(MatProp(Thermal_conductivity_type),"ADVANCED")==0)
*if(strcmp(MatProp(Thermal_conductivity_variable_type),"DATA")==0)
2  #data
*endif
*endif
*#--- 10 to 18 prop
#other properties 10 to 18
0  0  0  0  0  0  0  0  0
*#------------------------ end print of flags
*#------------------------ print of data

## material data:
*#density porosity water_vapor_diffusion_resistance_factor
*MatProp(Density) #density
*MatProp(Porosity) #porosity
*MatProp(Water_vapor_diffusion_resistance_factor) #water vapor diffusion resistance factor
*#--moisture diffusivity
*#- constant
*if(strcmp(MatProp(Moisture_diffusivity_variable_type),"CONSTANT")==0)
  *Matprop(Moisture_diffusivity_value) #moisture diffusivity (m^2.s^-1)
*endif
*if(strcmp(MatProp(Moisture_diffusivity_variable_type),"ADVANCED")==0)
*#- data
#moisture diffusivity data:
*if(strcmp(MatProp(Moisture_diffusivity_from),"DATA")==0)
#moisture diffusivity data:
*Set var NUM=Matprop(Moisture_diffusivity_data,INT)
*Set var NUM=Operation(NUM(int)/2)
*NUM(int) #number of records
2  #number of data (columns)
# moisture content (m^3/m^3) moisture diffusivity ()
*for(I=1;I<=Matprop(Moisture_diffusivity_data,INT);I=I+2)
*Set var II=I(int)
*Set var III=Operation(I(int)+1)
*Matprop(Moisture_diffusivity_data,*II(int))  *Matprop(Moisture_diffusivity_data,*III(int))
*end
*NUM(int) #control number of records
*endif
*#- function
*if(strcmp(MatProp(Moisture_diffusivity_from),"FUNCTION")==0)
#moisture diffusivity function:
*MatProp(Const[A],real)  *MatProp(Const[B],real)
*endif
*endif
*#--sorption isotherm
*if(strcmp(MatProp(Sorption_isotherm_from),"DATA")==0)
#sorption isotherm data:
*Set var NUM=Matprop(Sorption_isotherm_data,INT)
*Set var NUM=Operation(NUM(int)/3)
*NUM(int)  #number of records
3 #number of data (columns)
#moisture content (m^3/m^3)   rel. humidity    derivative
*for(I=1;I<=Matprop(Sorption_isotherm_data,INT);I=I+3)
*Set var II=I(int)
*Set var III=Operation(I(int)+1)
*Set var IIII=Operation(I(int)+2)
*Matprop(Sorption_isotherm_data,*II(int))  *Matprop(Sorption_isotherm_data,*III(int))  *Matprop(Sorption_isotherm_data,*IIII(int))
*end
*NUM(int) #control number of records
*endif
*if(strcmp(MatProp(Sorption_isotherm_from),"FUNCTION")==0)
*if(strcmp(MatProp(Sorption_isotherm_function_type),"ROOT")==0)
#sorption isotherm function - Root:
*MatProp(Hygroscopic_moisture_content,real) #hygroscopic moisture content
*MatProp(Hygroscopic_relative_humidity,real) #hygroscopic_relative_humidity
*endif
*#zadani isothermy FUNCTION - HANSEN
*if(strcmp(MatProp(Sorption_isotherm_function_type),"HANSEN")==0)
#sorption isotherm function - Hansen:
*MatProp(Hansen_function[u],real) #u
*MatProp(Hansen_function[A],real) #A
*MatProp(Hansen_function[n],real) #n
*endif
*endif
*#--maximum saturation moisture = only constant
*MatProp(Maximum_saturation_moisture) #maximum saturation moisture
*##hydraulic conductivity = only constant
*MatProp(Hydraulic_conductivity) #hydraulic conductivity
*#--cpecific heat capacity = only constant
*MatProp(Specific_heat_capacity)
*#--thermal conductivity
*if(strcmp(MatProp(Thermal_conductivity_type),"CONSTANT")==0)
*Matprop(Thermal_conductivity_value) #thermal conductivity
*endif
*if(strcmp(MatProp(Thermal_conductivity_type),"ADVANCED")==0)
*if(strcmp(MatProp(Thermal_conductivity_variable_type),"DATA")==0)
#thermal conductivity data:
*Set var NUM=Matprop(Thermal_conductivity_data,INT)
*Set var NUM=Operation(NUM(int)/2)
*NUM(int)  #number of records 
2  #number of data (columns)
#moisture content (m^3/m^3) thermal_conductivity (W/(m.K))
*for(I=1;I<=Matprop(Thermal_conductivity_data,INT);I=I+2)
*Set var II=I(int)
*Set var III=Operation(I(int)+1)
*Matprop(Thermal_conductivity_data,*II(int))  *Matprop(Thermal_conductivity_data,*III(int))
*end
*NUM(int) #control number of records 
*endif
*endif

*#------------------------ end print of data
*end
*endif
*#######################
*# END KUNZEL MATERIAL #
*#######################
*##################
*# HOMOG MATERIAL #
*##################
*if(strcmp(GenData(TRFEL_Homogenization),"YES")==0)
*if(strcmp(GenData(TRFEL_Approach_type),"KUNZEL")==0)
*# material type number   number of materials:
110 *nelem # homog material; number of homog materials
*for(I=1;I<=nelem;I=I+1)
*I
*end
*endif
*endif
*######################
*# END HOMOG MATERIAL #
*######################
*#############################
*#   END TRFEL MATERIALS     #
*#############################
