
*#########################
*#   TRFEL OUTDRIVER     #
*#########################
*#######nastaveni tisku na predchozi soucet=94
*# TEXT FILE PRINTING
*if(GenData(TRFEL_Text_file_print,int)==0)
*# optionally set if no text-file-name defined:
trfel_auto.out
0
0
0
*endif
*if(GenData(TRFEL_Text_file_print,int)==1)
*# text file name:
*GenData(TRFEL_Text_file_name)
*# printing for nodes:
*if(GenData(TRFEL_Nodes_print,int)==0)
0
*endif
*if(GenData(TRFEL_Nodes_print,int)==1)
*if(strcmp(GenData(100),"EVERY")==0)
1
*endif
*# time step printing for nodes:
*if(strcmp(GenData(100),"PERIOD")==0)
4 *GenData(TRFEL_Nodes_timestep_period,int)
*endif
*if(strcmp(GenData(100),"REAL_RANGE")==0)
5 *GenData(TRFEL_Nodes_timestep_realrange)
*tcl(WriteRealRange *GenData(TRFEL_Nodes_timestep_realrange))
*endif
*if(strcmp(GenData(100),"REAL_LIST")==0)
6 *GenData(TRFEL_Nodes_timestep_reallist)
*tcl(WriteRealList *GenData(TRFEL_Nodes_timestep_reallist))
*endif

*# unknowns printing for nodes:
*if(strcmp(GenData(104),"NONE")==0)
0
*endif
*if(strcmp(GenData(104),"ALL_NODES")==0)
*if(strcmp(GenData(107),"ALL")==0)
1  1
*endif
*if(strcmp(GenData(107),"RELATIVE_HUMIDITY")==0)
1  3  1 1
*endif
*if(strcmp(GenData(107),"TEMPERATURE")==0)
1  3  1 2
*endif
*endif
*if(strcmp(GenData(104),"RANGE")==0)
2  *tcl(WriteRange *GenData(TRFEL_Nodes_Unknowns_range)) *\
*if(strcmp(GenData(107),"ALL")==0)
1
*endif
*if(strcmp(GenData(107),"RELATIVE_HUMIDITY")==0)
3  1 1
*endif
*if(strcmp(GenData(107),"TEMPERATURE")==0)
3  1 2
*endif
*endif
*if(strcmp(GenData(104),"LIST")==0)
3  *tcl(WriteList *GenData(TRFEL_Nodes_Unknowns_list)) *\
*if(strcmp(GenData(107),"ALL")==0)
1
*endif
*if(strcmp(GenData(107),"RELATIVE_HUMIDITY")==0)
3  1 1
*endif
*if(strcmp(GenData(107),"TEMPERATURE")==0)
3  1 2
*endif
*endif

*#--------------------- ??!!
*# unknowns gradient printing for nodes: (not completed yet)
*if(strcmp(GenData(108),"NONE")==0)
0
*endif
*if(strcmp(GenData(108),"ALL_NODES")==0)
1  1
*endif
*if(strcmp(GenData(108),"RANGE")==0)
2  *tcl(WriteRange *GenData(TRFEL_Nodes_Gradient_range)) 1
*endif
*if(strcmp(GenData(108),"LIST")==0)
3  *tcl(WriteList *GenData(TRFEL_Nodes_Gradient_list)) 1
*endif

*# heat flux printing for nodes: (not completed yet)
*if(strcmp(GenData(112),"NONE")==0)
0
*endif
*if(strcmp(GenData(112),"ALL_NODES")==0)
1  1
*endif
*if(strcmp(GenData(112),"RANGE")==0)
2  *tcl(WriteRange *GenData(TRFEL_Nodes_Flux_range))
*endif
*if(strcmp(GenData(112),"LIST")==0)
3  *tcl(WriteList *GenData(TRFEL_Nodes_Flux_list))
*endif

*# other values printing for nodes (no other value defined at nodes):
0
*endif
*#--------------------- ??!!


*# printing for elements (not completed yet)
0


*# printing for user defined (not completed yet)
0
*endif
*# END TEXT FILE PRINTING


*# GRAPHICAL POST PROCESSOR PRINTING
*# here is printing what is defined above (text file printing)
*if(strcmp(GenData(96),"NONE")==0)
0
*endif
*if(strcmp(GenData(96),"OpenDX")==0)
1
*GenData(TRFEL_Postprocessor_file_name)
*endif
*if(strcmp(GenData(96),"FEM_CAD")==0)
2
*GenData(TRFEL_Postprocessor_file_name)
*endif
*if(strcmp(GenData(96),"GiD")==0)
3
*GenData(TRFEL_Postprocessor_file_name)
*endif
*# END GRAPHICAL POST PROCESSOR PRINTING


*# GRAPH PRINTING
*# printing only for chosen one node (not completed yet)
*if(GenData(TRFEL_Graph_file_print,int)==0)
0
*endif
*if(GenData(TRFEL_Graph_file_print,int)==1)
1
*# graph file name:
*GenData(TRFEL_Graph_file_name)
*# number of printed values (time and unknowns):
*if(strcmp(GenData(130),"ALL")==0)
3
*endif
*if(strcmp(GenData(130),"RELATIVE_HUMIDITY")==0)
2
*endif
*if(strcmp(GenData(130),"TEMPERATURE")==0)
2
*endif
*# graph time step printing:
*if(strcmp(GenData(120),"EVERY")==0)
1
*endif
*if(strcmp(GenData(120),"PERIOD")==0)
4 *GenData(TRFEL_Graph_timestep_period,int)
*endif
*if(strcmp(GenData(120),"REAL_RANGE")==0)
5 *GenData(TRFEL_Graph_timestep_realrange)
*tcl(WriteRealRange *GenData(TRFEL_Graph_timestep_realrange))
*endif
*if(strcmp(GenData(120),"REAL_LIST")==0)
6 *GenData(TRFEL_Graph_timestep_reallist)
*tcl(WriteRealList *GenData(TRFEL_Graph_timestep_reallist))
*endif
*# printing of time:
1 1 7
*# printing of unknowns:
*if(strcmp(GenData(130),"ALL")==0)
*if(strcmp(GenData(124),"AT_NODE")==0)
1  *GenData(TRFEL_Graph_at_node_number)  1  1
1  *GenData(TRFEL_Graph_at_node_number)  1  2
*endif
*if(strcmp(GenData(124),"AT_GAUSS_POINT")==0)
2  *GenData(TRFEL_Graph_at_gauss_point_number)  1  1
2  *GenData(TRFEL_Graph_at_gauss_point_number)  1  2
*endif
*if(strcmp(GenData(124),"AT_USER_DEFINED_POINT")==0)
3  *GenData(TRFEL_Defined_point_X_coord.)  *GenData(TRFEL_Defined_point_Y_coord.)  *GenData(TRFEL_Defined_point_Z_coord.)  1  1
3  *GenData(TRFEL_Defined_point_X_coord.)  *GenData(TRFEL_Defined_point_Y_coord.)  *GenData(TRFEL_Defined_point_Z_coord.)  1  2
*endif
*endif
*if(strcmp(GenData(130),"RELATIVE_HUMIDITY")==0)
*if(strcmp(GenData(124),"AT_NODE")==0)
1  *GenData(TRFEL_Graph_at_node_number))  1  1
*endif
*if(strcmp(GenData(124),"AT_GAUSS_POINT")==0)
2  *GenData(TRFEL_Graph_at_gauss_point_number)  1  1
*endif
*if(strcmp(GenData(124),"AT_USER_DEFINED_POINT")==0)
3  *GenData(TRFEL_Defined_point_X_coord.)  *GenData(TRFEL_Defined_point_Y_coord.)  *GenData(TRFEL_Defined_point_Z_coord.)  1  1
*endif
*endif
*if(strcmp(GenData(130),"TEMPERATURE")==0)
*if(strcmp(GenData(124),"AT_NODE")==0)
1  *GenData(TRFEL_Graph_at_node_number))  1  2
*endif
*if(strcmp(GenData(130),"AT_GAUSS_POINT")==0)
2  *GenData(TRFEL_Graph_at_gauss_point_number)  1  2
*endif
*if(strcmp(GenData(130),"AT_USER_DEFINED_POINT")==0)
3  *GenData(TRFEL_Defined_point_X_coord.)  *GenData(TRFEL_Defined_point_Y_coord.)  *GenData(TRFEL_Defined_point_Z_coord.)  1  2
*endif
*endif
*endif
*# END GRAPH PRINTING
*############################
*#   END TRFEL OUTDRIVER    #
*############################
