*##############################
*#   MEFEL CROSS-SECTIONS     #
*##############################
5 #number of cross-sections (included all types)
*#

1  *nmats #bar
*loop materials
*set var PROP(real)=Operation(MatProp(Cross-section_Area,real))
*set var PROP3(real)=Operation(MatProp(Density,real))
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
*format "%4i%13.5e%13.5e"
*MatNum *PROP(real) *PROP3(real) #number #cross-section area #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
*format "%4i%13.5e%13.5e"
*MatNum *PROP(real) *PROP3(real) #number #cross-section area #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section area
*endif
*end
*#

2  *nmats #beam 2D
*loop materials
*set var PROP1(real)=Operation(MatProp(Cross-section_Area,real))
*set var PROP2(real)=Operation(MatProp(Moment-of-interia_Y,real))
*set var PROP3(real)=Operation(MatProp(Density,real))
*set var PROP4(real)=Operation(MatProp(Cross-section_Thickness,real))
*set var PROP5(real)=Operation(MatProp(Shearcoeff_Z,real))
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) *PROP3(real) #number #cross-section area #moment of interia #shear coefficient #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) *PROP3(real) #number #cross-section area #moment of interia #shear coefficient #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) *PROP4(real) #number #cross-section area #moment of interia #shear coefficient #layer thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) #number #cross-section area #moment of interia #shear coefficient
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP2(real) *PROP5(real) *PROP3(real) #number #cross-section area #moment of interia #shear coefficient #density
*endif
*end
*#

4  *nmats #beam 3D
*loop materials
*set var PROP1(real)=Operation(MatProp(Cross-section_Area,real))
*set var PROP1b(real)=Operation(MatProp(Moment-of-interia_X,real))
*set var PROP2(real)=Operation(MatProp(Moment-of-interia_Y,real))
*set var PROP3(real)=Operation(MatProp(Moment-of-interia_Z,real))
*set var PROP4(real)=Operation(MatProp(Shearcoeff_Y,real))
*set var PROP5(real)=Operation(MatProp(Shearcoeff_Z,real))
*set var PROP6(real)=Operation(MatProp(Density,real))
*set var PROP7(real)=Operation(MatProp(Cross-section_Thickness,real))
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) *PROP6(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) *PROP6(real) #number #moment of interia X #cross-section area #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) *PROP7(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z #layer thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) *PROP6(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z #density
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%4i%13.5e%13.5e%13.5e%13.5e%13.5e"
*MatNum *PROP1(real) *PROP1b(real) *PROP2(real) *PROP3(real) *PROP4(real) *PROP5(real) #number #cross-section area #moment of interia X #moment of interia Y #moment of interia Z #shear coefficient Y #shear coefficient Z
*endif
*end
*#

10  *nmats #plane 2D
*loop materials
*set var PROP(real)=Operation(MatProp(Cross-section_Thickness,real))
*set var PROP2(real)=Operation(MatProp(Density,real))
*set var PROP3(real)=Operation(MatProp(M_concentrated_mass,real))
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EIGEN_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP(real) *PROP2(real) *PROP3(real) #number #cross-section area #density #concentrated mass
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"FORCED_DYNAMIC")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP(real) *PROP2(real) *PROP3(real) #number #cross-section area #density  #concentrated mass
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LINEAR_STABILITY")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"MECH_TIMEDEPENDENT_PROB")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"EARTH_PRESSURE")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"LAYERED_LINEAR_STATICS")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"NONLINEAR_DYNAMICS")==0)
*format "%4i%13.5e%13.5e%13.5e"
*MatNum *PROP(real) *PROP2(real) *PROP3(real) #number #cross-section area #density  #concentrated mass
*endif
*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*format "%4i%13.5e"
*MatNum *PROP(real) #number #cross-section thickness
*endif
*end
*#

20  *nmats #3D
*loop materials
*set var PROP(real)=Operation(MatProp(Density,real))
*format "%4i%13.5e"
*MatNum *PROP(real) #number #density
*end
*#################################
*#   END MEFEL CROSS-SECTIONS    #
*#################################
