
*##############################
*#   TRFEL CROSS-SECTIONS     #
*##############################
*# loop over geometry type:
*# cross-section type:
1 # number of cross-section types
*if(strcmp(GenData(TRFEL_Geometry),"1D")==0)
*# cross-section type number   number of cross-section:
1 *nmats # 1D; number of 1D cross-sections
# density; area
*# cross-section number   property1   property2
*loop materials
*format "%4i%13.5e%13.5e"
*set var PROP3(real)=Operation(MatProp(Density,real))
*set var PROP4(real)=Operation(MatProp(Cross-section_Area,real))
*#MatNum *PROP3 *PROP4 
*MatNum 1.0 *PROP4 
*end
*endif
*if(strcmp(GenData(TRFEL_Geometry),"2D")==0)
2 *nmats # 2D; number of 2D cross-sections
# density; thickness
*loop materials
*format "%4i%13.5e%13.5e"
*set var PROP3(real)=Operation(MatProp(Density,real))
*set var PROP4(real)=Operation(MatProp(Cross-section_Thickness,real))
*#MatNum *PROP3 *PROP4 
*MatNum 1.0 *PROP4 
*end
*endif
*if(strcmp(GenData(TRFEL_Geometry),"3D")==0)
3 *nmats # 3D; number of 3D cross-sections
# density
*loop materials
*format "%4i%13.5e%13.5e"
*set var PROP3(real)=Operation(MatProp(Density,real))
*#MatNum *PROP3
*MatNum 1.0
*end
*endif
*#################################
*#   END TRFEL CROSS-SECTIONS    #
*#################################
