*#########################################
*#       TRFEL PROBLEM DESCRITPION       #
*#########################################
*########## problem title:
*GenData(TRFEL_Title_of_the_problem)
*########## detail message printing:
*GenData(TRFEL_Detail_message_printing)
*########## problem type:
*if(strcmp(GenData(TRFEL_Problem_type),"NON-STATIONARY")==0)
60 #linear non-stationary problem
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"NON-LINEAR_NON-STATIONARY")==0)
61 #non-linear non-stationary problem
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"LINEAR_GROWING_PROBLEM")==0)
70 #linear growing problem
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"NON-LINEAR_GROWING_PROBLEM")==0)
71 #non-linear growing problem
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"ONE-MEDIUM")==0)
1 #one unknown
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"TWO-MEDIA")==0)
10 #two unknowns
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"THREE-MEDIA")==0)
30 #three unknowns
*endif
*########## name of transported media (transported matter = two-media):
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"HEAT")==0)
1 #heat transfer
*endif
*if(strcmp(GenData(TRFEL_Name_of_trans._matter),"HEAT_AND_MOISTURE")==0)
10 #heat and moisture transfer
*endif
*########## units scale:
*if(strcmp(GenData(TRFEL_Approach_type),"ISOHEAT")==0)
*GenData(TRFEL_Temperature_units_scale) #temperature units scale
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"KUNZEL")==0)
*GenData(TRFEL_Realtive_humidity_units_scale)  *GenData(TRFEL_Temperature_units_scale) #relative humidity and temperature units scale
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"PADOVA")==0)
*#*GenData(TRFEL_Capillary_pressure_units_scale)  *GenData( TRFEL_Gas_pressure_units_scale)  *GenData(TRFEL_Temperature_units_scale)
1.0 1.0 1.0 #Capillary pressure and Gas pressure and Temperature units scale
*endif
*if(strcmp(GenData(TRFEL_Approach_type),"GLASGOW")==0)
*#*GenData(TRFEL_Vapour_concentration_units_scale)  *GenData( TRFEL_Gas_pressure_units_scale)  *GenData(TRFEL_Temperature_units_scale)
1.0 1.0 1.0 #Vapour concentration and Gas pressure and Temperature units scale
*endif
*########## computation of gradients, fluxes, other and eqother:
*if(strcmp(GenData(TRFEL_Gradient_computation),"NO")==0)
0 #no gradient computation
*endif
*if(strcmp(GenData(TRFEL_Gradient_averaging),"NO")==0)
*Set var SAVER=0
*endif
*if(strcmp(GenData(TRFEL_Gradient_averaging),"ARITHMETIC")==0)
*Set var SAVER=1
*endif
*if(strcmp(GenData(TRFEL_Gradient_averaging),"VOLUME")==0)
*Set var SAVER=2
*endif
*if(strcmp(GenData(TRFEL_Gradient_computation),"INT_POINTS")==0)
1 1 *SAVER(int) #gradient computation #int. points #gradient averaging
*endif
*if(strcmp(GenData(TRFEL_Gradient_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *SAVER(int) #gradient computation #copy form int. points to nodes #gradient averaging
*endif
*if(strcmp(GenData(TRFEL_Gradient_computation),"AT_NODES")==0)
1 3 *SAVER(int) #gradient computation #at nodes #gradient averaging
*endif
*if(strcmp(GenData(TRFEL_Flux_computation),"NO")==0)
0 #no flux computation
*endif
*if(strcmp(GenData(TRFEL_Flux_averaging),"NO")==0)
*Set var SSAVER=0
*endif
*if(strcmp(GenData(TRFEL_Flux_averaging),"ARITHMETIC")==0)
*Set var SSAVER=1
*endif
*if(strcmp(GenData(TRFEL_Flux_averaging),"VOLUME")==0)
*Set var SSAVER=2
*endif
*if(strcmp(GenData(TRFEL_Flux_computation),"INT_POINTS")==0)
1 1 *SSAVER(int) #flux computation #int. points #flux averaging
*endif
*if(strcmp(GenData(TRFEL_Flux_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *SSAVER(int) #flux computation #copy form int. points to nodes #flux averaging
*endif
*if(strcmp(GenData(TRFEL_Flux_computation),"AT_NODES")==0)
1 3 *SSAVER(int) #flux computation #at nodes #flux averaging
*endif
*if(strcmp(GenData(TRFEL_Other_computation),"NO")==0)
0 #no other computation
*endif
*if(strcmp(GenData(TRFEL_Other_averaging),"NO")==0)
*Set var OAVER=0
*endif
*if(strcmp(GenData(TRFEL_Other_averaging),"ARITHMETIC")==0)
*Set var OAVER=1
*endif
*if(strcmp(GenData(TRFEL_Other_averaging),"VOLUME")==0)
*Set var OAVER=2
*endif
*if(strcmp(GenData(TRFEL_Other_computation),"INT_POINTS")==0)
1 1 *OAVER(int) #other computation #int. points #other averaging
*endif
*if(strcmp(GenData(TRFEL_Other_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *OAVER(int) #other computation #copy form int. points to nodes #other averaging
*endif
*if(strcmp(GenData(TRFEL_Other_computation),"AT_NODES")==0)
1 3 *OAVER(int) #other computation #at nodes #other averaging
*endif
*if(strcmp(GenData(TRFEL_Eqother_computation),"NO")==0)
0 #no eqother computation
*endif
*if(strcmp(GenData(TRFEL_Eqother_averaging),"NO")==0)
*Set var EOAVER=0
*endif
*if(strcmp(GenData(TRFEL_Eqother_averaging),"ARITHMETIC")==0)
*Set var EOAVER=1
*endif
*if(strcmp(GenData(TRFEL_Eqother_averaging),"VOLUME")==0)
*Set var EOAVER=2
*endif
*if(strcmp(GenData(TRFEL_Eqother_computation),"INT_POINTS")==0)
1 1 *EOAVER(int) #eqother computation #int. points #eqother averaging
*endif
*if(strcmp(GenData(TRFEL_Eqother_computation),"COPY_FROM_INT_POINTS_TO_NODES")==0)
1 2 *EOAVER(int) #eqother computation #copy form int. points to nodes #eqother averaging
*endif
*if(strcmp(GenData(TRFEL_Eqother_computation),"AT_NODES")==0)
1 3 *EOAVER(int) #eqother computation #at nodes #eqother averaging
*endif
*########## gravity acceleration 1=YES 0=NO
0 #no gravity acceleration effect (NOT implemented in GiD)
*########## stochastic calculation
*if(strcmp(GenData(TRFEL_Calculation_type),"DETERMINISTIC")==0)
0 #deterministic calculation
*endif
*if(strcmp(GenData(TRFEL_Calculation_type),"STOCHASTIC")==0)
1 #stochastic calculation
*endif
*########## homogenization
*if(strcmp(GenData(TRFEL_Homogenization),"NO")==0)
0 #no homogenization
*endif
*if(strcmp(GenData(TRFEL_Homogenization),"YES")==0)
1 #homogenization, in case of multiscale modelling and master processor change the value on 2
2 #elements are connected with microproblems
*endif
*########## renumbering of nodes
*if(strcmp(GenData(TRFEL_Renumbering),"NO")==0)
0 #no renumbering - not implemented in GiD
*endif
*if(strcmp(GenData(TRFEL_Renumbering),"REV_CUTHIL_MCKEE")==0)
0 #no renumbering - not implemented in GiD
*endif
*if(strcmp(GenData(TRFEL_Renumbering),"SLOAN")==0)
0 #no renumbering - not implemented in GiD
*endif

*########## time controller:
# Time controler:
0 #fixed time controler (NOT implemented in GiD)
*GenData(TRFEL_Start_time_[s])  *GenData(TRFEL_End_time_[s])
*if(strcmp(GenData(TRFEL_Important_times),"YES")==0)
*tcl(WriteNItimes *GenData(47))
*endif
*if(strcmp(GenData(TRFEL_Important_times),"NO")==0)
0
*endif
*if(strcmp(GenData(TRFEL_Time-step_type),"CONSTANT_AT_TIME")==0)
0 *GenData(TRFEL_Time-step_value_[s])
*endif
*if(strcmp(GenData(TRFEL_Time-step_type),"FROM_TABLE")==0)
2
*if(strcmp(GenData(TRFEL_Approximation_type),"PIECEWISE_LINEAR")==0)
1
*endif
*if(strcmp(GenData(TRFEL_Approximation_type),"DIRAC")==0)
2
*endif
*if(strcmp(GenData(TRFEL_Approximation_type),"LAGRANGE")==0)
3
*endif
*tcl(WriteTabFunct *GenData(TRFEL_Table_Time-step_values_[s]))
*endif

#Type of time printing:
*if(strcmp(GenData(TRFEL_Type_time_printing),"SECONDS")==0)
1 #time in seconds
*endif
*if(strcmp(GenData(TRFEL_Type_time_printing),"MINUTES")==0)
2 #time in minutes
*endif
*if(strcmp(GenData(TRFEL_Type_time_printing),"HOURS")==0)
3 #time in hours
*endif
*if(strcmp(GenData(TRFEL_Type_time_printing),"DAYS")==0)
4 #time in days
*endif

*########## tady doplnit udaje o backup!!!!!
# Data backup:
0 #no backup not completed

*########## data about solver of system of linear equations:
#Data about solver (Not implemented in GiD properly, this must be eddited manualy):
*GenData(TRFEL_Alpha)  #alpha
*if(strcmp(GenData(TRFEL_Problem_type),"NON-LINEAR_NON-STATIONARY")==0)
*GenData(TRFEL_Inner_iteration_number)  #nii
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"ONE-MEDIUM")==0)
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"TWO-MEDIA")==0)
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold for first unknown
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold for second unknown
*endif
*if(strcmp(GenData(TRFEL_Number_of_trans._matter),"THREE-MEDIA")==0)
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold for first unknown
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold for second unknown
*GenData(TRFEL_Error) *GenData(TRFEL_Error) #err #treshold for third unknown
*endif
*endif

#Type of transport solver, only in case of non-linear solver:
*if(strcmp(GenData(TRFEL_Problem_type),"NON-LINEAR_NON-STATIONARY")==0)
*if(strcmp(GenData(TRFEL_nonlinear_solver_type),"FULL_NEWTON")==0)
1 #full newton
*endif
*if(strcmp(GenData(TRFEL_nonlinear_solver_type),"MOD_NEWTON")==0)
2 #modified newton
*endif
#Type of residuum computation:
*if(strcmp(GenData(TRFEL_residuum_computation_type),"FLUX")==0)
1 #flux computation
*endif
*if(strcmp(GenData(TRFEL_residuum_computation_type),"RHS")==0)
2 #right-hand side computation
*endif
#Convergence control (for fully Newton - Raphson method):
*if(strcmp(GenData(TRFEL_convergence_control),"YES")==0)
1 #convergence control
*endif
*if(strcmp(GenData(TRFEL_convergence_control),"NO")==0)
0 #no convergence control
*endif
*endif
*if(strcmp(GenData(TRFEL_Problem_type),"NON-LINEAR_GROWING_PROBLEM")==0)
*if(strcmp(GenData(TRFEL_nonlinear_solver_type),"FULL_NEWTON")==0)
1 #full newton
*endif
*if(strcmp(GenData(TRFEL_nonlinear_solver_type),"MOD_NEWTON")==0)
2 #modified newton
*endif
#Type of residuum computation:
*if(strcmp(GenData(TRFEL_residuum_computation_type),"FLUX")==0)
1 #flux computation
*endif
*if(strcmp(GenData(TRFEL_residuum_computation_type),"RHS")==0)
2 #right-hand side computation
*endif
#Convergence control (for fully Newton - Raphson method):
*if(strcmp(GenData(TRFEL_convergence_control),"YES")==0)
1 #convergence control
*endif
*if(strcmp(GenData(TRFEL_convergence_control),"NO")==0)
0 #no convergence control
*endif
*endif

#Conductivity matrix storage type:
*if(strcmp(GenData(Conductivity_matrix_storage),"DENSE")==0)
1
*endif
*if(strcmp(GenData(Conductivity_matrix_storage),"DOUBLE_SKY-LINE")==0)
3
*endif
*if(strcmp(GenData(Conductivity_matrix_storage),"COMPRESSED_ROWS")==0)
10
*endif
#Conductivity matrix storage type:
*if(strcmp(GenData(Capacity_matrix_storage),"DENSE")==0)
1
*endif
*if(strcmp(GenData(Capacity_matrix_storage),"DOUBLE_SKY-LINE")==0)
3
*endif
*if(strcmp(GenData(Capacity_matrix_storage),"COMPRESSED_ROWS")==0)
10
*endif
#Solver type:
*if(strcmp(GenData(TRFEL_Solver_type),"GAUSS")==0)
1
*endif
*if(strcmp(GenData(TRFEL_Solver_type),"LU")==0)
3
*endif
*if(strcmp(GenData(TRFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
30
*endif
*if(strcmp(GenData(TRFEL_Solver_type),"BICONJUGATE_GRADIENTS")==0)
*GenData(TRFEL_Max._iter._number) *GenData(TRFEL_Max._norm_error)
*endif
*########## diagonalizing of capacity matrix
#diagonalizing of capacity matrix - YES/NO:
*GenData(Lumped_capacity_matrix)
*#########################################
*#   END TRFEL PROBLEM DESCRITPION       #
*#########################################
